summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-misc/byobu
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-misc/byobu')
-rw-r--r--app-misc/byobu/Manifest2
-rw-r--r--app-misc/byobu/byobu-5.90.ebuild42
-rw-r--r--app-misc/byobu/byobu-5.94.ebuild42
-rw-r--r--app-misc/byobu/metadata.xml20
4 files changed, 106 insertions, 0 deletions
diff --git a/app-misc/byobu/Manifest b/app-misc/byobu/Manifest
new file mode 100644
index 00000000000..34e3f28dcfe
--- /dev/null
+++ b/app-misc/byobu/Manifest
@@ -0,0 +1,2 @@
+DIST byobu_5.90.orig.tar.gz 658445 SHA256 a06daaf6074a2254632983dc261a68bccef5d313844deb08533d6ef5bf16c73b SHA512 73a4a3e79240466daab845fd4c90a3dc78e0a43b4a94b430eabc537968e805b67de3a2f94680d7c13ba6ccd097d62a62cc9e2e77d38d4698b68e5116c6bc09a6 WHIRLPOOL 89a71abd328ad50016ae2219978e739727561d397268d20f8447614c98499445de32efd760aa8a0c22f4f10437ad14b8da49e7ac6601e4911ec3e1615ceab283
+DIST byobu_5.94.orig.tar.gz 660103 SHA256 4917013f590110d25b18293a51af02bd1ebcd1c665474f62e2566fb9b8f62916 SHA512 b4e07d7d197f8796c26f33aa08c1d61dab463ce5cd2d646bf32c4c5a4be17ffe2b8996cb305c999ca0be20a1fab81c24dbd0eae5588b74e8da1e7726c293b2e6 WHIRLPOOL d2832c4ecac9d4d6907051d33efb8f51816866ce4bd0d75d5684322dd83a56d0a4717d2b6fd7736a0ca488d5e2e648a0e48a09de6a0bffcd779aa63cefd50c4c
diff --git a/app-misc/byobu/byobu-5.90.ebuild b/app-misc/byobu/byobu-5.90.ebuild
new file mode 100644
index 00000000000..8264cdcce30
--- /dev/null
+++ b/app-misc/byobu/byobu-5.90.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="A set of profiles for the GNU Screen console window manager (app-misc/screen)"
+HOMEPAGE="http://byobu.co"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${P/-/_}.orig.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="screen"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-libs/newt[${PYTHON_USEDEP}]
+ screen? ( app-misc/screen )
+ !screen? ( app-misc/tmux )"
+
+src_prepare() {
+ python_fix_shebang .
+
+ # Set default system backend to screen
+ if use screen ; then
+ sed -i -e 's/#\(BYOBU_BACKEND\).*/\1="screen"/' etc/byobu/backend || die
+ fi
+}
+
+src_install() {
+ default
+
+ # Create symlinks for backends
+ dosym ${PN} /usr/bin/${PN}-screen
+ dosym ${PN} /usr/bin/${PN}-tmux
+
+ docompress -x /usr/share/doc/${PN}
+}
diff --git a/app-misc/byobu/byobu-5.94.ebuild b/app-misc/byobu/byobu-5.94.ebuild
new file mode 100644
index 00000000000..8264cdcce30
--- /dev/null
+++ b/app-misc/byobu/byobu-5.94.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1
+
+DESCRIPTION="A set of profiles for the GNU Screen console window manager (app-misc/screen)"
+HOMEPAGE="http://byobu.co"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${P/-/_}.orig.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="screen"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-libs/newt[${PYTHON_USEDEP}]
+ screen? ( app-misc/screen )
+ !screen? ( app-misc/tmux )"
+
+src_prepare() {
+ python_fix_shebang .
+
+ # Set default system backend to screen
+ if use screen ; then
+ sed -i -e 's/#\(BYOBU_BACKEND\).*/\1="screen"/' etc/byobu/backend || die
+ fi
+}
+
+src_install() {
+ default
+
+ # Create symlinks for backends
+ dosym ${PN} /usr/bin/${PN}-screen
+ dosym ${PN} /usr/bin/${PN}-tmux
+
+ docompress -x /usr/share/doc/${PN}
+}
diff --git a/app-misc/byobu/metadata.xml b/app-misc/byobu/metadata.xml
new file mode 100644
index 00000000000..1c7747e4094
--- /dev/null
+++ b/app-misc/byobu/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>shell-tools</herd>
+ <longdescription>
+Byobu is a GPLv3 open source text-based window manager and terminal multiplexer.
+It was originally designed to provide elegant enhancements to the otherwise
+functional, plain, practical GNU Screen, for the Ubuntu server distribution.
+Byobu now includes an enhanced profiles, convenient keybindings, configuration
+utilities, and toggle-able system status notifications for both the GNU Screen
+window manager and the more modern Tmux terminal multiplexer, and works on most
+Linux, BSD, and Mac distributions.
+</longdescription>
+ <use>
+ <flag name="screen">Use <pkg>app-misc/screen</pkg> as the default backend</flag>
+ </use>
+ <upstream>
+ <remote-id type="launchpad">byobu</remote-id>
+ </upstream>
+</pkgmetadata>